# tse_option



این پکیج جهت بررسی و قیمت گذاری اوراق اختیار معامله موجود در بورس اوراق بهادار تهران و فرابورس ایران ایجاد شده است. لازم به یادآوری است که در این ماژول از مدل ارائه شده توسط بلک-شولز-مرتون در سال 1973 برای قیمت گذاری اختیار معامله استفاده است.

محاسبات مربوط به تلاطم تاریخی سهم با استفاده از ماژول finpy_tse انجام می شود.

----------------------------------------------

**توجه**: کلیه خروجی این ماژول از جمله قیمت گذاری و محاسبه تلاطم ضمنی و ... به جهت تسهیل در تصمیم گیری سرمایه گذاران است و هیچگونه پیشنهادی برای خرید یا فروش آن محسوب نمی شود. لذا تمامی عواقب سرمایه گذاری به عهده شخص سرمایه گذار است و توسعه دهندگان هیچ مسئولیتی در قبال زیان های احتمالی ندارند.

----------------------------------------------

### نصب
```python
pip install tse-option
```

### فراخوانی
```python
import tse_option as tso
```

#### دریافت داده های مربوط به تمام اختیار معامله های موجود روی یک سهم خاص
```python
df = tso.pricing_based_on_stock(stock_name="خودرو", trading_days=100, IV=False)
```
*stock_name:*  نماد سهم مورد نظر

*trading_days:*  تعداد روزهای معاملاتی مورد نظر که تلاطم تاریخی براساس آن محاسبه می شود.

*IV:*  محاسبه تلاطم ضمنی یا Impolied Volatility

-----------------------------------------------------------------

#### دریافت داده های مربوط به یک اختیار معامله خاص
```python
df = tso.pricing_based_on_option(option_name="ضسپا1205", trading_days=100, IV=False)
```
*option_name:* نماد اختیار معامله مورد نظر

*trading_days:*  تعداد روزهای معاملاتی مورد نظر که تلاطم تاریخی براساس آن محاسبه می شود.

*IV:*  محاسبه تلاطم ضمنی یا Impolied Volatility


-----------------------------------------------------------------


My github is [sm-sokout](https://github.com/sm-sokout) .
This project on github [tse-option](https://github.com/sm-sokout/tse-option)
